#!/bin/sh

#
# Determine automatically where our home is.
# resolve links - $0 may be a softlink
PRG="$0"
while [ -h "$PRG" ] ; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '.*/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done
PRGDIR=`dirname "$PRG"`

# Set environment
if [ -f $PRGDIR/setIscEnv.sh ] ; then
	. $PRGDIR/setIscEnv.sh
else
	echo "There is no environment setup file: setIscEnv.sh"
	echo "Please re-run configureWily in installation directory!"
	exit
fi

$ISC_BIN/webviewShutdown
echo Waiting 5 secs before starting up again...
sleep 5
$ISC_BIN/webviewStartup
